import 'package:flutter/material.dart';
import 'dart:async';
import 'package:simplewebrtc_flutter_sdk/simplewebrtc_flutter_sdk.dart';


void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  SimpleWebRTCSDK sdk;

  @override
  void initState() {
    super.initState();
    initSDK();
  }

  Future<void> initSDK() async {
    this.sdk = new SimpleWebRTCSDK(
      configUrl: "-- CHANGE ME --",
      proxyUrl: "-- CHANGE ME --"
    );

    this.sdk.onConnectionState = (event) {
      print("Connection change: $event");
    };
    this.sdk.onRoomState = (event) {
      print("Room change: $event");
    };
    this.sdk.onPeerState = (event) {
      print("Peer change: $event");
    };
    this.sdk.onRemoteMediaAdded = (event) {
      print("Remote media added: $event");
    };
    this.sdk.onRemoteMediaRemoved = (event) {
      print("Removed media removed: $event");
    };

    await this.sdk.connect();
    await this.sdk.joinRoom("-- CHANGE ME --");
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Text('Running\n'),
        ),
      ),
    );
  }
}
